package cn.superdesk.uniorder.dao.mapper.organisation;

import cn.superdesk.uniorder.dao.entity.organisation.SysCliqueOrg;
import cn.superdesk.uniorder.dao.entity.organisation.SysCliqueOrgExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface SysCliqueOrgMapper {
    long countByExample(SysCliqueOrgExample example);

    int deleteByExample(SysCliqueOrgExample example);

    int deleteByPrimaryKey(Long id);

    int insert(SysCliqueOrg record);

    int insertSelective(SysCliqueOrg record);

    List<SysCliqueOrg> selectByExample(SysCliqueOrgExample example);

    SysCliqueOrg selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") SysCliqueOrg record, @Param("example") SysCliqueOrgExample example);

    int updateByExample(@Param("record") SysCliqueOrg record, @Param("example") SysCliqueOrgExample example);

    int updateByPrimaryKeySelective(SysCliqueOrg record);

    int updateByPrimaryKey(SysCliqueOrg record);
}